QR Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code- 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique Client SecretMY
X-Ipay-Outlet-IdStringMerchant Unique IDMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Sample Request Parameters

NameTypeMandatory (M), Optional (O)Description
ipayIdStringMInstantpay Order ID

Sample Request

curl --location 'https://api.instantpay.in/fi/uatm/qrStatus' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: 127.0.0.1' \
--header 'X-Ipay-Outlet-Id: {{outletId}}' \
--header 'Content-Type: application/json' \
--data '{
  "ipayId": "P260413184922ZNTZS"
}'
POST /fi/uatm/qrStatus HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: 127.0.0.1
X-Ipay-Outlet-Id: {{outletId}}
Content-Type: application/json
Content-Length: <calculated>

{
    "ipayId": "P260413184922ZNTZS"
}

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Success",
    "data": {
        "qrStatus": "SUCCESS",
        "qrStatusMsg": "Transaction Successful",
        "ipayId": "P260416143515QZZAC",
        "amount": "100.00",
        "payer": {
            "vpa": "837XXXXXXX@pthdfc",
            "mobile": "837XXXXXXX",
            "name": "Full Name",
            "bankName": "",
            "accountNumber": "XXXXXXXX2589"
        },
        "openingBalance": "0.00",
        "closingBalance": "0.00",
        "operatorId": "610634173742",
        "walletIpayId": "1260416143539SCKVT"
    },
    "timestamp": "2026-04-16 14:45:21",
    "ipay_uuid": "h000a18e6d5b-0026-4087-b6fe-777444e6ccbe-7KXLt4Zi8Arp",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null
}

Sample Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringMessage
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive
📘

qrStatus parameters value and its meaning

'INITIATED' => 'QR Generated Successfully',
'SUCCESS' => 'Cash Withdrawal is Successful',
'FAILED' => 'Cash Withdrawal failed, please try again',
'EXPIRED' => 'Cash Withdrawal failed due to expired QR, please try again',

📘

link to the documentation of webhook: https://developers.instantpay.in/docs/webhooks

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json